# hexEncode

    text hexEncode(value, charset)

Encode a number or the bytes of text into an hexadecimal representation.

- A number is encoded as its unsigned 32-bit integer hexadecimal representation.
- A text as characters in charset.

## Parameters

1. value — number or text to encode.
2. charset — optional charset of character representation, default is UTF-8.

## Returns

- an hexadecimal representation of value.